function [chromosomes]=preprocess_population(adjacent_matrix,bchromosomes,K,chromosomesize)

n=size(bchromosomes,1);
lchromosomes=[];

% size(bchromosomes)
for i=1:n
   individual=vec2mat(bchromosomes(i,:), chromosomesize);
%    size(individual)
   for j=1:K
      
       idx=find(individual(j,:));
       if size(idx,2)~=0
       adj=adjacent_matrix(idx,idx);
       s=sum(adj);
       l= find(s==0);
       individual(j,idx(l))=0;
       end 
   end
   
   lchromosomes=cat(1,lchromosomes,reshape(individual',1,K*chromosomesize));
end
chromosomes=lchromosomes;
clear lchromosomes bchromosomes;

end