%% This function compute the fitness values of all individuals


%%
function [accuracy,chromosomes]= GAOCM(chromosomes,K,adjacent_matrix)


local_accuracy=[];
local_chromosomes=[];

chromosomesize=size(chromosomes,2)/K;
for i=1:size(chromosomes,1)

[cluster_modularity,chromosome]=compute_fitness(chromosomes(i,:),chromosomesize,adjacent_matrix);
local_accuracy=[local_accuracy cluster_modularity];
local_chromosomes=cat(1,local_chromosomes,reshape(chromosome',1,size(chromosome,1)*size(chromosome,2)));
if (isnan(cluster_modularity))
    cluster_modularity=0;
end
fprintf('The fitness value of individual <#%d> is <%12.8f>\n',i,double(cluster_modularity));
end
accuracy=local_accuracy;
chromosomes=local_chromosomes;
clear local_chromosomes local_accuracy;
end

